HttpInflateStream::__construct
HttpInflateStream::finish
HttpInflateStream
PHP Manual

# HttpInflateStream::factory

HttpInflateStream class factory

### Description

public HttpInflateStream HttpInflateStream::factory ([ int `$flags` = 0 [, string `$class_name` = "HttpInflateStream" ]] )

Creates a new HttpInflateStream object instance.

See the inflate constants table for possible `flags`.

### Parameters

`flags`

  initialization flags

`class_name`

  name of a subclass of HttpInflateStream

### See Also

- HttpInflateStream::__construct